package com.dji.sample.ai.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dji.sample.ai.model.dto.AiInfoDTO;
import com.dji.sample.ai.model.entity.AiInfoEntity;
import com.dji.sample.ai.model.param.AiInfoSearchParam;
import com.dji.sdk.common.PaginationData;

/**
 * @author guan
 */
public interface IAiInfoService extends IService<AiInfoEntity> {

    PaginationData<AiInfoDTO> getAiInfoPageByParam(AiInfoSearchParam param, Long page, Long pageSize);

    AiInfoDTO createAiInfo(AiInfoDTO dto);

    AiInfoDTO getAiInfoById(Long id);

    boolean updateAiInfo(AiInfoDTO dto);

    boolean deleteAiInfoById(Long id);

}
